MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/output_control.h File Reference

`#include <glib.h>`
`#include <stddef.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
static GQuark | audio_output_quark (void)
bool | audio_output_init (struct audio_output *ao, const struct config_param *param, GError **error_r)
void | audio_output_enable (struct audio_output *ao)
| Enables the device.
void | audio_output_disable (struct audio_output *ao)
| Disables the device.
bool | audio_output_update (struct audio_output *ao, const struct audio_format *audio_format, const struct music_pipe *mp)
| Opens or closes the device, depending on the "enabled" flag.
void | audio_output_play (struct audio_output *ao)
void | audio_output_pause (struct audio_output *ao)
void | audio_output_drain_async (struct audio_output *ao)
void | audio_output_cancel (struct audio_output *ao)
void | audio_output_close (struct audio_output *ao)
void | audio_output_release (struct audio_output *ao)
| Closes the audio output, but if the "always_on" flag is set, put it into pause mode instead.
void | audio_output_finish (struct audio_output *ao)

## Function Documentation

void audio_output_cancel | ( | struct audio_output * | ao | ) |

void audio_output_close | ( | struct audio_output * | ao | ) |

void audio_output_disable | ( | struct audio_output * | ao | ) |

Disables the device.

void audio_output_drain_async | ( | struct audio_output * | ao | ) |

void audio_output_enable | ( | struct audio_output * | ao | ) |

Enables the device.

void audio_output_finish | ( | struct audio_output * | ao | ) |

bool audio_output_init | ( | struct audio_output * | ao,
|  | const struct config_param * | param,
|  | GError ** | error_r
| ) |  |

void audio_output_pause | ( | struct audio_output * | ao | ) |

void audio_output_play | ( | struct audio_output * | ao | ) |

static GQuark audio_output_quark | ( | void |  | ) | `[inline, static]`

Definition at line 34 of file output_control.h.

void audio_output_release | ( | struct audio_output * | ao | ) |

Closes the audio output, but if the "always_on" flag is set, put it into pause mode instead.

bool audio_output_update | ( | struct audio_output * | ao,
|  | const struct audio_format * | audio_format,
|  | const struct music_pipe * | mp
| ) |  |

Opens or closes the device, depending on the "enabled" flag.

Returns:
  true if the device is open